# Interface ErroneousTree

All Superinterfaces:
  `DocTree, TextTree`

public interface ErroneousTree extends TextTree
A tree node to stand in for malformed text.

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`Diagnostic<JavaFileObject>`
`getDiagnostic()`
Returns a diagnostic object giving details about the reason the body text is in error.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

### Methods declared in interface TextTree

`getBody`
Modifier and Type
Method
Description
`String`
`getBody()`
Returns the text.

## Method Details

### getDiagnostic

Diagnostic<JavaFileObject> getDiagnostic()
Returns a diagnostic object giving details about the reason the body text is in error.

Returns:
  a diagnostic